> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 添付ファイルをダウンロードする

> 添付ファイルをダウンロードします。

307 リダイレクトを返します。IP allowlist が設定されている組織では IP 制御付きの署名付きプロキシに、それ以外では署名付き S3 URL にリダイレクトされます。

<div id="permissions">
  ## 権限
</div>

組織レベルで `ViewOrgSessions` 権限が付与されたサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml GET /v3/organizations/{org_id}/attachments/{uuid}/{name}
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/organizations/{org_id}/attachments/{uuid}/{name}:
    get:
      tags:
        - attachments
      summary: 添付ファイルをダウンロードする
      description: >-
        添付ファイルをダウンロードします。


        307 リダイレクトを返します。IP allowlist が設定されている組織では IP 制御付きの署名付きプロキシに、それ以外では署名付き
        S3 URL にリダイレクトされます。
      operationId: >-
        handle_download_attachment_v3_organizations__org_id__attachments__uuid___name__get
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            title: Uuid
            type: string
        - in: path
          name: name
          required: true
          schema:
            title: Name
            type: string
        - description: '組織 ID（プレフィックス: org-）'
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema: {}
          description: 正常応答
        '307':
          description: 添付ファイルのダウンロード URL にリダイレクト
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 検証エラー
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````